Index: /extensions/uploadt1menu/index.php
===================================================================
--- /extensions/uploadt1menu/index.php	(revision 12380)
+++ /extensions/uploadt1menu/index.php	(revision 12380)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/uploadt1menu/language/en_UK/description.txt
===================================================================
--- /extensions/uploadt1menu/language/en_UK/description.txt	(revision 12380)
+++ /extensions/uploadt1menu/language/en_UK/description.txt	(revision 12380)
@@ -0,0 +1,1 @@
+Add Upload Photos as menu level 1 / community plugin must be installed
Index: /extensions/uploadt1menu/language/en_UK/index.php
===================================================================
--- /extensions/uploadt1menu/language/en_UK/index.php	(revision 12380)
+++ /extensions/uploadt1menu/language/en_UK/index.php	(revision 12380)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/uploadt1menu/language/fr_FR/description.txt
===================================================================
--- /extensions/uploadt1menu/language/fr_FR/description.txt	(revision 12380)
+++ /extensions/uploadt1menu/language/fr_FR/description.txt	(revision 12380)
@@ -0,0 +1,1 @@
+Ajouter le lien vers la page 'Ajoutez des photos' en menu de niveau 1 / Le plugin community doit être installé
Index: /extensions/uploadt1menu/language/fr_FR/index.php
===================================================================
--- /extensions/uploadt1menu/language/fr_FR/index.php	(revision 12380)
+++ /extensions/uploadt1menu/language/fr_FR/index.php	(revision 12380)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/uploadt1menu/language/index.php
===================================================================
--- /extensions/uploadt1menu/language/index.php	(revision 12380)
+++ /extensions/uploadt1menu/language/index.php	(revision 12380)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/uploadt1menu/main.inc.php
===================================================================
--- /extensions/uploadt1menu/main.inc.php	(revision 12380)
+++ /extensions/uploadt1menu/main.inc.php	(revision 12380)
@@ -0,0 +1,52 @@
+<?php
+/*
+Plugin Name: Upload 1 menu
+Version: auto
+Description: Add Upload Photos link as menu level 1
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=577
+Author: ddtddt
+Author URI:http://piwigo.org
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+define('U1M_DIR' , basename(dirname(__FILE__)));
+define('U1M_PATH' , PHPWG_PLUGINS_PATH . U1M_DIR . '/');
+
+
+add_event_handler('blockmanager_register_blocks', 'register_u1m_menubar_blocks');
+add_event_handler('blockmanager_apply', 'u1m_apply');
+
+function register_u1m_menubar_blocks( $menu_ref_arr )
+{
+  $menu = & $menu_ref_arr[0];
+  if ($menu->get_id() != 'menubar')
+    return;
+  $menu->register_block( new RegisteredBlock( 'mbUpload', 'Upload', 'U1M'));
+}
+
+function u1m_apply($menu_ref_arr)
+{
+  global $template;
+
+ $menu = & $menu_ref_arr[0];
+ 
+ load_language('plugin.lang', COMMUNITY_PATH);
+ load_language('lang', PHPWG_ROOT_PATH.'local/', array('no_fallback'=>true, 'local'=>true) );
+     //Sending data to the template
+	    $template->assign	(
+		array	(
+        'U1MTITLE'     => l10n('Upload your own photos'),
+        'U1MNAME'      => l10n('Upload Photos'),
+        'U1MURL' => get_root_url().'index.php?/add_photos',
+				)			);
+
+   
+    if (($block = $menu->get_block( 'mbUpload' )) != null) {
+	$template->set_template_dir(U1M_PATH.'template/');
+	$block->template = 'menubar_upload.tpl';
+    }
+}
+
+
+?>
Index: /extensions/uploadt1menu/template/index.php
===================================================================
--- /extensions/uploadt1menu/template/index.php	(revision 12380)
+++ /extensions/uploadt1menu/template/index.php	(revision 12380)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/uploadt1menu/template/menubar_upload.tpl
===================================================================
--- /extensions/uploadt1menu/template/menubar_upload.tpl	(revision 12380)
+++ /extensions/uploadt1menu/template/menubar_upload.tpl	(revision 12380)
@@ -0,0 +1,1 @@
+<dt><a href="{$U1MURL}" title="{$U1MTITLE}">{$U1MNAME}</a></dt><dd></dd>