Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 12384)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 12385)
@@ -843,3 +843,26 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Er is iets foutgegaan bij het uitpakken. Controleer de bestandstoegangen van uw Piwigo-installatie.<br><a href="%s">Klik kier om de fout-logging weer te geven</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo kan het upgrade-bestand niet van de server verkrijgen';
+$lang['... or '] = '... of ';
+$lang['Create'] = 'Aanmaken';
+$lang['Start Upload'] = 'Start Upload';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Je gebruikt de Flash uploader. Problemen? Probeer de <a href="%s">Browser uploader</a> inplaats.';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Je gebruikt de Browser uploader. Problemen? Probeer de  <a href="%s">Flash uploader</a> inplaats.';
+$lang['Maximum file size: %sB.'] = 'Maximum bestands omvang: %sB.';
+$lang['Allowed file types: %s.'] = 'Toegestane bestands typen: %s.';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Geschatte maximale resolutie: %dM pixels (dat is %dx%d pixels).';
+$lang['Manage Permissions'] = 'Beheer Permissies';
+$lang['Photo %s of %s'] = 'Foto %s of %s';
+$lang['show details'] = 'Toon details';
+$lang['hide details'] = 'Verberg details';
+$lang['Merge tags'] = 'Voeg tags samen';
+$lang['Select the destination tag'] = 'Kies de bestemmings tag';
+$lang['(this tag will be deleted)'] = '(Deze tag wordt verwijderd)';
+$lang['Confirm merge'] = 'Bevestig samenvoegen';
+$lang['Merge selected tags'] = 'Voeg geselecteerde tags samen';
+$lang['No destination tag selected'] = 'Geen bestemmings tag geselecteerd';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Tags <em>%s</em> samengevoegd in tag <em>%s</em>';
+$lang['Select at least two tags for merging'] = 'Selecteer ten minste twee tags om samen te voegen';
+$lang['Select an album'] = 'Kies een album';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Standaard zal Piwigo een nieuwe web formaat foto aanmaken van de HD (high definition) versie van je foto.';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Als geen HD beschikbaar is en de huidige web formaat foto is groter dan de nieuwe afmetingen, dan zal Piwigo het als HD gebruiken en daar een web formaat foto van maken.';
 ?>
Index: /trunk/language/nl_NL/install.lang.php
===================================================================
--- /trunk/language/nl_NL/install.lang.php	(revision 12384)
+++ /trunk/language/nl_NL/install.lang.php	(revision 12385)
@@ -29,11 +29,8 @@
 $lang['Start Install'] = 'Start Installatie';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'Email-adres moet lijken op xxx@yyy.eee (voorbeeld : jack@altern.org)';
-
 $lang['Webmaster login'] = 'Login webbeheerder';
 $lang['It will be shown to the visitors. It is necessary for website administration'] = 'Het wordt getoond aan de bezoekers. Het is ook noodzakelijk voor de administratie van de website';
-
 $lang['Connection to server succeed, but it was impossible to connect to database'] = 'De verbinding met de server is geslaagd, maar het is niet mogelijk om verbinding te krijgen met de database';
 $lang['Can\'t connect to server'] = 'Geen verbinding met de server';
-
 $lang['Host'] = 'MySQL host';
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
@@ -70,4 +67,5 @@
 $lang['Download the config file'] = 'Download het config-bestand';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'U kunt het config-bestand downloaden en het uploaden naar de local/config directory van uw Piwigo-installatie.';
-'SQLite en PostgreSQL zijn momenteel nog in een experimenteel stadium.';
+$lang['Just another Piwigo gallery'] = 'Alweer een Piwigo gallerie';
+$lang['Welcome to my photo gallery'] = 'Welkom bij mijn foto gallerie';
 ?>
Index: /trunk/tools/language/translation_validated.inc.php
===================================================================
--- /trunk/tools/language/translation_validated.inc.php	(revision 12384)
+++ /trunk/tools/language/translation_validated.inc.php	(revision 12385)
@@ -430,4 +430,5 @@
 	'Piwigo Update',
 	'Dump Database',
+	'Start Upload',
 	),
 	