Index: /extensions/piclens/generate_rss.php
===================================================================
--- /extensions/piclens/generate_rss.php	(revision 12398)
+++ /extensions/piclens/generate_rss.php	(revision 12399)
@@ -88,5 +88,5 @@
 
 			$query = 'SELECT DISTINCT(img.id), img.file, img.date_available, img.date_creation, img.tn_ext, img.name, 
-					  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
+					  img.comment, img.author, img.hit ,img.filesize, img.rating_score, img.has_high, img.path, 
 					  img.level '
 					.' FROM ' . IMAGES_TABLE.' AS img'
@@ -109,5 +109,5 @@
 
 			$query = 'SELECT DISTINCT(img.id), img.file, img.date_available, img.date_creation, img.tn_ext, img.name, 
-					  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
+					  img.comment, img.author, img.hit ,img.filesize, img.rating_score, img.has_high, img.path, 
 					  img.level, ic.category_id, cat.name AS catname, cat.comment AS catcomment, cat.rank, cat.status, 
 					  cat.visible, cat.uppercats, cat.permalink, cat.dir '
@@ -129,5 +129,5 @@
 			array_push($cat, "1");
 			$query = 'SELECT DISTINCT(img.id), img.file, img.date_available, img.date_creation, img.tn_ext, img.name, 
-					  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
+					  img.comment, img.author, img.hit ,img.filesize, img.rating_score, img.has_high, img.path, 
 					  img.level, ic.category_id, cat.name AS catname, cat.comment AS catcomment, cat.rank, cat.status, 
 					  cat.visible, cat.uppercats, cat.permalink, cat.dir '
@@ -148,9 +148,9 @@
 
 			$query = 'SELECT DISTINCT(img.id), img.file, img.date_available, img.date_creation, img.tn_ext, img.name, 
-					  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
+					  img.comment, img.author, img.hit ,img.filesize, img.rating_score, img.has_high, img.path, 
 					  img.level '
 					.' FROM ' . IMAGES_TABLE.' AS img'
 					.' INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON img.id = ic.image_id'
-					.' WHERE img.average_rate IS NOT NULL '
+					.' WHERE img.rating_score IS NOT NULL '
 					.get_sql_condition_FandF
 						(
@@ -168,5 +168,5 @@
 
 			$query = 'SELECT img.id, img.file, img.date_available, img.date_creation, img.tn_ext, img.name, 
-					  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
+					  img.comment, img.author, img.hit ,img.filesize, img.rating_score, img.has_high, img.path, 
 					  img.level  '
 					.' FROM '.FAVORITES_TABLE.' AS fav '
@@ -211,5 +211,5 @@
 			array_push($cat, "1");
 			$query = 'SELECT distinct(img.id), img.file, img.date_available, img.date_creation, img.tn_ext, img.name, 
-					  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
+					  img.comment, img.author, img.hit ,img.filesize, img.rating_score, img.has_high, img.path, 
 					  img.level  '
 					.' FROM '.IMAGES_TABLE.' AS img '
@@ -275,5 +275,5 @@
 
 					$query = 'SELECT DISTINCT(img.id), img.file, img.date_available, img.date_creation, img.tn_ext, img.name, 
-							  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
+							  img.comment, img.author, img.hit ,img.filesize, img.rating_score, img.has_high, img.path, 
 							  img.level, ic.category_id, cat.name AS catname, cat.comment AS catcomment, cat.rank, cat.status, 
 							  cat.visible, cat.uppercats, cat.permalink, cat.dir '
@@ -343,5 +343,5 @@
 					
 				$query = 'SELECT DISTINCT(img.id), img.file, img.date_available, img.date_creation, img.tn_ext, img.name, 
-						  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
+						  img.comment, img.author, img.hit ,img.filesize, img.rating_score, img.has_high, img.path, 
 						  img.level, ic.category_id, cat.name AS catname, cat.comment AS catcomment, cat.rank, cat.status, 
 						  cat.visible, cat.uppercats, cat.permalink, cat.dir '