Index: extensions/PiwigoLib/PiwigoUpload/DTO/LocalAlbumList.cs
===================================================================
--- extensions/PiwigoLib/PiwigoUpload/DTO/LocalAlbumList.cs	(revision 12336)
+++ extensions/PiwigoLib/PiwigoUpload/DTO/LocalAlbumList.cs	(revision 12407)
@@ -10,5 +10,5 @@
     {}
 
-    public class LocalAlbum
+    public class LocalAlbum : INotifyPropertyChanged
     {
         private Int32? _id;
Index: extensions/PiwigoLib/PiwigoUpload/DTO/LocalPwgImage.cs
===================================================================
--- extensions/PiwigoLib/PiwigoUpload/DTO/LocalPwgImage.cs	(revision 12336)
+++ extensions/PiwigoLib/PiwigoUpload/DTO/LocalPwgImage.cs	(revision 12407)
@@ -11,5 +11,5 @@
     {}
 
-    public class LocalImage
+    public class LocalImage : INotifyPropertyChanged
     {
         //FileInfo highResFile, FileInfo lowResFile, FileInfo thumbFile, String imageName, String imageAuthor, DateTime creationDate,
@@ -23,5 +23,5 @@
         }
 
-        private String _author;
+         private String _author;
         public String Author
         {
Index: extensions/PiwigoLib/PiwigoUpload/DTO/ModelManager.cs
===================================================================
--- extensions/PiwigoLib/PiwigoUpload/DTO/ModelManager.cs	(revision 12336)
+++ extensions/PiwigoLib/PiwigoUpload/DTO/ModelManager.cs	(revision 12407)
@@ -25,15 +25,127 @@
         }
 
-        public class ModelManagerBase 
+        public class ModelManagerBase : INotifyPropertyChanged
         {
-            public PwgSession sess { get; set; }
-            public SelectedPwgAlbumList lstCat { get; set; }
-            public Int32 PwgAlbumIdSelected { get; set; }
-            public LocalAlbumList lstAlbumLocaux { get; set; }
-            public Boolean isConnected { get; set; }
-            public String directoryName { get; set; }
-            public Uri serveurName { get; set; }
-            public String userName { get; set; }
-            public String password { get; set; }
+            private PwgSession _sess;
+            public PwgSession sess {
+                get {
+                    return _sess;
+                }
+                set {
+                    _sess = value;
+                    OnPropertyChanged("sess");
+                }
+            }
+
+            private SelectedPwgAlbumList _lstCat; 
+            public SelectedPwgAlbumList lstCat {
+                get {
+                    return _lstCat;
+                }
+                set {
+                    _lstCat = value;
+                    OnPropertyChanged("lstCat"); 
+                } 
+            }
+
+            private Int32 _PwgAlbumIdSelected;
+            public Int32 PwgAlbumIdSelected {
+                get
+                {
+                    return _PwgAlbumIdSelected;
+                }
+                set {
+                    _PwgAlbumIdSelected = value;
+                    OnPropertyChanged("PwgAlbumIdSelected"); 
+                } 
+            }
+
+            private LocalAlbumList _lstAlbumLocaux;
+            public LocalAlbumList lstAlbumLocaux { 
+                get{
+                    return _lstAlbumLocaux;
+                } 
+                set {
+                    _lstAlbumLocaux = value;
+                    OnPropertyChanged("lstAlbumLocaux"); 
+                } 
+            }
+
+            private LocalAlbum _AlbumEdited;
+            public LocalAlbum AlbumEdited { 
+                get {
+                    return _AlbumEdited;
+                }
+                set {
+                    _AlbumEdited = value;
+                    OnPropertyChanged("AlbumEdited");
+                } 
+            }
+
+            private LocalImage _ImageEdited;
+            public LocalImage ImageEdited { 
+                get{
+                    return _ImageEdited;
+                }
+                set {
+                    _ImageEdited = value;
+                    OnPropertyChanged("ImageEdited"); 
+                } 
+            }
+
+            private Boolean _isConnected;
+            public Boolean isConnected {
+                get {
+                    return _isConnected;
+                }
+                set {
+                    _isConnected = value;
+                    OnPropertyChanged("isConnected"); 
+                } 
+            }
+
+            private String _directoryName;
+            public String directoryName {
+                get{
+                    return _directoryName;
+                }
+                set {
+                    _directoryName = value;
+                    OnPropertyChanged("directoryName"); 
+                } 
+            }
+
+            private Uri _serveurName;
+            public Uri serveurName {
+                get{
+                    return _serveurName;
+                }
+                set {
+                    _serveurName = value;
+                    OnPropertyChanged("serveurName"); 
+                } 
+            }
+
+            private String _userName;
+            public String userName { 
+                get{
+                    return _userName;
+                }
+                set {
+                    _userName = value;
+                    OnPropertyChanged("userName"); 
+                } 
+            }
+
+            private String _password;
+            public String password { 
+                get {
+                    return _password;
+                }
+                set {
+                    _password = value;
+                    OnPropertyChanged("password"); 
+                } 
+            }
 
             public ModelManagerBase()
@@ -42,4 +154,7 @@
                 lstAlbumLocaux = new LocalAlbumList();
                 isConnected = false;
+
+                AlbumEdited = new LocalAlbum();
+                ImageEdited = new LocalImage();
             }
 
@@ -56,4 +171,11 @@
                 lstCat.Add(new SelectedAlbumListItem() { Id = PwgAlbum.RootAlbumId, ShowedValue = "Root album", Data=null, isSelected=true }); 
             }
+
+            public event PropertyChangedEventHandler PropertyChanged;
+            protected void OnPropertyChanged(String info)
+            {
+                if (PropertyChanged != null)
+                    PropertyChanged(this, new PropertyChangedEventArgs(info));
+            }
         }
     }