Index: extensions/rv_sitemap/changelog.txt
===================================================================
--- extensions/rv_sitemap/changelog.txt	(revision 12396)
+++ extensions/rv_sitemap/changelog.txt	(revision 12431)
@@ -1,2 +1,5 @@
+2.3.b
+	- language key fix
+
 2.3.a
 	- compatible piwigo 2.3
Index: extensions/rv_sitemap/language/de_DE/plugin.lang.php
===================================================================
--- extensions/rv_sitemap/language/de_DE/plugin.lang.php	(revision 12396)
+++ extensions/rv_sitemap/language/de_DE/plugin.lang.php	(revision 12431)
@@ -12,6 +12,3 @@
 $lang['yearly'] = 'jährlich';
 $lang['never'] = 'nie';
-
-$lang['Recent photos'] = 'die neusten Bilder';
-
 ?>
Index: extensions/rv_sitemap/language/en_UK/plugin.lang.php
===================================================================
--- extensions/rv_sitemap/language/en_UK/plugin.lang.php	(revision 12396)
+++ extensions/rv_sitemap/language/en_UK/plugin.lang.php	(revision 12431)
@@ -12,6 +12,3 @@
 $lang['yearly'] = 'yearly';
 $lang['never'] = 'never';
-
-$lang['Recent photos'] = 'Recent photos';
-
 ?>
Index: extensions/rv_sitemap/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/rv_sitemap/language/fr_FR/plugin.lang.php	(revision 12396)
+++ extensions/rv_sitemap/language/fr_FR/plugin.lang.php	(revision 12431)
@@ -12,6 +12,3 @@
 $lang['yearly'] = 'annuellement';
 $lang['never'] = 'jamais';
-
-$lang['Recent photos'] = 'Photos récentes';
-
 ?>
Index: extensions/rv_sitemap/language/it_IT/plugin.lang.php
===================================================================
--- extensions/rv_sitemap/language/it_IT/plugin.lang.php	(revision 12396)
+++ extensions/rv_sitemap/language/it_IT/plugin.lang.php	(revision 12431)
@@ -12,6 +12,3 @@
 $lang['yearly'] = 'ogni anno';
 $lang['never'] = 'mai';
-
-$lang['Recent photos'] = 'Foto recenti';
-
 ?>
Index: extensions/rv_sitemap/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/rv_sitemap/language/lv_LV/plugin.lang.php	(revision 12396)
+++ extensions/rv_sitemap/language/lv_LV/plugin.lang.php	(revision 12431)
@@ -12,6 +12,3 @@
 $lang['yearly'] = 'ik gadu';
 $lang['never'] = 'nekad';
-
-$lang['Recent photos'] = 'Nesenie foto';
-
 ?>
Index: extensions/rv_sitemap/language/no_NO/plugin.lang.php
===================================================================
--- extensions/rv_sitemap/language/no_NO/plugin.lang.php	(revision 12396)
+++ extensions/rv_sitemap/language/no_NO/plugin.lang.php	(revision 12431)
@@ -12,6 +12,3 @@
 $lang['yearly'] = 'årlig';
 $lang['never'] = 'aldrig';
-
-$lang['Recent photos'] = 'Siste bilder';
-
 ?>
Index: extensions/rv_sitemap/language/tr_TR/plugin.lang.php
===================================================================
--- extensions/rv_sitemap/language/tr_TR/plugin.lang.php	(revision 12396)
+++ extensions/rv_sitemap/language/tr_TR/plugin.lang.php	(revision 12431)
@@ -12,6 +12,3 @@
 $lang['yearly'] = 'yıllık';
 $lang['never'] = 'asla';
-
-$lang['Recent photos'] = 'Son eklenen resimler';
-
 ?>
Index: extensions/rv_sitemap/main.inc.php
===================================================================
--- extensions/rv_sitemap/main.inc.php	(revision 12396)
+++ extensions/rv_sitemap/main.inc.php	(revision 12431)
@@ -1,5 +1,5 @@
 <?php /*
 Plugin Name: RV sitemap
-Version: 2.3.a
+Version: 2.3.b
 Description: Creates a sitemap for your gallery. Sitemaps are used to inform search engines about pages that are available for crawling.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=78
Index: extensions/rv_sitemap/sitemap.tpl
===================================================================
--- extensions/rv_sitemap/sitemap.tpl	(revision 12396)
+++ extensions/rv_sitemap/sitemap.tpl	(revision 12431)
@@ -23,5 +23,5 @@
 
 <fieldset>
-<legend>{'Categories'|@translate}</legend>
+<legend>{'Albums'|@translate}</legend>
 <select style="width:500px" name="categories[]" multiple="multiple" size="15">
   {html_options options=$categories selected=$categories_selected}