Index: /trunk/language/km_KH/common.lang.php
===================================================================
--- /trunk/language/km_KH/common.lang.php	(revision 12444)
+++ /trunk/language/km_KH/common.lang.php	(revision 12445)
@@ -93,5 +93,5 @@
 $lang['day'][4] = "ថ្ងៃ​ព្រហស្បត្តិ៍";
 $lang['day'][5] = "ថ្ងៃ​សុក្រ";
-$lang['day'][6] = "ថ្ងៃ​អាទិត្យ";
+$lang['day'][6] = "ថ្ងៃ​​សៅរ៍";
 $lang['month'][10] = "ខែ​តុលា​";
 $lang['month'][11] = "ខែ​វិច្ឆិកា";
@@ -121,4 +121,51 @@
 $lang['guest'] = 'ភ្ញៀវ';
 $lang['Hello'] = 'សួរស្តី';
+$lang['New password confirmation does not correspond'] = 'អក្សរ​សម្ងាត់​បញ្ជាក់​ថ្មី​មិនត្រឹម​ត្រូវ​ទេ​';
+$lang['Notification'] = 'ការ​ជូន​ដំណឹង';
+$lang['Number of items'] = 'ចំនួន​នៃ​ធាតុ​';
+$lang['Original dimensions'] = 'ទំហំ​ដើម';
+$lang['Password forgotten'] = 'ភ្លេច​អក្សរ​សម្ងាត់​';
+$lang['Password'] = 'អក្សរ​សម្ងាត់​';
+$lang['Post date'] = 'ថ្ងៃ​ដាក់​ផ្សាយ​ប្រ​កាស​';
+$lang['Posted on'] = 'បាន​ផ្សាយ​ប្រកាសនៅ​ថ្ងៃ';
+$lang['Profile'] = 'គណនី';
+$lang['Quick connect'] = 'ភ្ជាប់​រហ័ស';
+$lang['RSS feed'] = 'RSS ព័ត៌មានផ្តល់មក​វិញ​';
+$lang['Rating score'] = 'ពិន្ទុ​នៃ​ការ​វាយ​តម្លៃ';
+$lang['Register'] = 'ចុះ​ឈ្មោះ';
+$lang['Registration'] = 'ការ​ចុះ​ឈ្មោះ​';
+$lang['Related tags'] = 'ស្លាក​ដែល​ទាក់​ទង​';
+$lang['Reset'] = 'ដាក់​ឲ្យ​ដូច​ដើម​';
+$lang['Retrieve password'] = 'ទាញ​យក​អក្សរ​សម្ងាត់​មក​វិញ​';
+$lang['Search rules'] = 'ស្វែងរក​លក្ខណៈ​វិនិច្ឆ័យ';
+$lang['Search tags'] = 'ស្វែងរក​ស្លាក​';
+$lang['Search'] = 'ស្វែង​រក​';
+$lang['display available tags'] = 'បង្ហាញ​ស្លាក​ទំនេរ​';
+$lang['Sort by'] = 'តម្រៀប​តាម​​';
+$lang['Sort order'] = 'តម្រៀប​តាម​លំដាប់​';
+$lang['Tag'] = 'ស្លាក​';
+$lang['Tags'] = 'ស្លាក';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = ' RSS ផ្តល់​ពត៌​មាន​​ទាំង​ឡាយ​ដែល​ជា​ ​ដំណឹង​នៃព្រឹត្តិការណ៍​ថ្មី​ៗ​ដែល​មាន​នៅ​លើ​គេហទំព័រ​មួយ​នេះដូចជា៖ ពេល​មាន​រូប​ថត​ថ្មីៗ ការ​កែ​ប្រែ​សៀវ​ភៅ​រូប​ថត​ថ្មី​ៗ​ មតិថ្មីៗ។ ដើម្បី​ប្រើ​ RSS ផ្តល់​ពត៌​មាន​សំរាប់​អ្នក​អាន​';
+$lang['Unknown feed identifier'] = 'មិន​ស្គាល់អ្វី​សំរាប់​​បង្ហាញ​ពត៌​មាន​មក​វិញ';
+$lang['User comments'] = 'មតិ​អ្នក​ប្រើ​ប្រាស់​';
+$lang['Username'] = 'ឈ្មោះ​អ្នក​ប្រើ​ប្រាស់​';
+$lang['Visits'] = 'ចូល​';
+$lang['Webmaster'] = 'ប្រធាន​បណ្តាញ';
+$lang['Week %d'] = 'សប្តាហ៍ %d';
+$lang['About Piwigo'] = 'អំពី Piwigo';
+$lang['You are not authorized to access the requested page'] = 'អ្នក​មិន​អនុញ្ញាតឲ្យ​ចូល​ទៅ​កាន់​ទំព័រ​នេះ​ទេ';
+$lang['add to caddie'] = 'ដាក់​ចូល​ទៅ​ក្នុង​កូន​ប្រអប់';
+$lang['add this photo to your favorites'] = 'ដាក់​រូប​ថត​នេះ​ទៅ​កាន់​ទី​តាំង​​ដែល​អ្នក​ចូល​ចិត្ត​';
+$lang['Administration'] = 'អ្នក​គ្រប់​គ្រង';
+$lang['all'] = 'ទាំង​អស់​';
+$lang['ascending'] = 'តាម​លំដាប់​កើន​';
+$lang['author(s) : %s'] = 'ក្រុម​អ្នក​និ​ពន្ធ​ : %s';
+$lang['Expand all albums'] = 'ពង្រីក​សៀវ​ភៅ​រូប​ថត​ទាំង​អស់​';
+$lang['posted after %s (%s)'] = 'បាន​ផ្សាយ​ប្រ​កាស​បន្ទាប់​ពី %s (%s)';
+$lang['posted before %s (%s)'] = 'បាន​ផ្សាយ​ប្រកាស​មុន​ពេល​ %s (%s)';
+$lang['posted between %s (%s) and %s (%s)'] = 'បាន​ផ្សាយ​ប្រ​កាស​ចន្លោះ %s (%s) និង %s (%s)';
+$lang['posted on %s'] = 'បានផ្សាយ​​ប្រ​កាសលើ​ %s';
+$lang['Best rated'] = 'ការ​វាយ​តម្លៃ​ល្អ​ជាង​គេ​';
+$lang['display best rated photos'] = 'បង្ហាញ​រូ​ប​ថត​ដែល​បាន​វាយ​តម្លៃ​ខ្ពស់​ជាង​គេ';
 
 