Index: /trunk/admin/batch_manager_global.php
===================================================================
--- /trunk/admin/batch_manager_global.php	(revision 12455)
+++ /trunk/admin/batch_manager_global.php	(revision 12456)
@@ -458,9 +458,9 @@
 
 array_push($prefilters,
-  array('ID' => 'caddie', 'NAME' => l10n('caddie')),
-  array('ID' => 'last import', 'NAME' => l10n('last import')),
-  array('ID' => 'with no album', 'NAME' => l10n('with no album')),
-  array('ID' => 'with no tag', 'NAME' => l10n('with no tag')),
-  array('ID' => 'duplicates', 'NAME' => l10n('duplicates')),
+  array('ID' => 'caddie', 'NAME' => l10n('Caddie')),
+  array('ID' => 'last import', 'NAME' => l10n('Last import')),
+  array('ID' => 'with no album', 'NAME' => l10n('With no album')),
+  array('ID' => 'with no tag', 'NAME' => l10n('With no tag')),
+  array('ID' => 'duplicates', 'NAME' => l10n('Duplicates')),
   array('ID' => 'all photos', 'NAME' => l10n('All'))
 );
@@ -469,5 +469,5 @@
 {
   array_push($prefilters,
-    array('ID' => 'with no virtual album', 'NAME' => l10n('with no virtual album'))
+    array('ID' => 'with no virtual album', 'NAME' => l10n('With no virtual album'))
   );
 }
Index: /trunk/admin/themes/default/template/batch_manager_global.tpl
===================================================================
--- /trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 12455)
+++ /trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 12456)
@@ -465,5 +465,5 @@
         <a href="#" class="removeFilter" title="{'remove this filter'|@translate}"><span>[x]</span></a>
         <input type="checkbox" name="filter_prefilter_use" class="useFilterCheckbox" {if isset($filter.prefilter)}checked="checked"{/if}>
-        {'predefined filter'|@translate}
+        {'Predefined filter'|@translate}
         <select name="filter_prefilter">
           {foreach from=$prefilters item=prefilter}
@@ -505,5 +505,5 @@
         <option value="-1">{'Add a filter'|@translate}</option>
         <option disabled="disabled">------------------</option>
-        <option value="filter_prefilter">{'predefined filter'|@translate}</option>
+        <option value="filter_prefilter">{'Predefined filter'|@translate}</option>
         <option value="filter_category">{'Album'|@translate}</option>
 				<option value="filter_tags">{'Tags'|@translate}</option>
@@ -607,5 +607,5 @@
       <option value="dissociate">{'Dissociate from album'|@translate}</option>
   {/if}
-      <option value="add_tags">{'add tags'|@translate}</option>
+      <option value="add_tags">{'Add tags'|@translate}</option>
   {if !empty($DEL_TAG_SELECTION)}
       <option value="del_tags">{'remove tags'|@translate}</option>
@@ -615,9 +615,9 @@
       <option value="date_creation">{'Set creation date'|@translate}</option>
       <option value="level">{'Who can see these photos?'|@translate}</option>
-      <option value="metadata">{'synchronize metadata'|@translate}</option>
+      <option value="metadata">{'Synchronize metadata'|@translate}</option>
   {if ($IN_CADDIE)}
       <option value="remove_from_caddie">{'Remove from caddie'|@translate}</option>
   {else}
-      <option value="add_to_caddie">{'add to caddie'|@translate}</option>
+      <option value="add_to_caddie">{'Add to caddie'|@translate}</option>
   {/if}
       <option value="regenerateThumbnails">{'Regenerate Thumbnails'|@translate}</option>
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 12455)
+++ /trunk/language/en_UK/admin.lang.php	(revision 12456)
@@ -802,5 +802,4 @@
 $lang['%s photos have been regenerated'] = '%s photos have been regenerated';
 $lang['%s photos can not be regenerated'] = '%s photos can not be regenerated';
-
 $lang['Updates'] = 'Updates';
 $lang['Update in progress... Please wait.'] = 'Update in progress... Please wait.';
@@ -861,7 +860,14 @@
 $lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'By default, Piwigo will create a new websize from the HD (high definition) version of your photo.';
 $lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.';
-
 $lang['An error has occured during upgrade.'] = 'An error has occured during upgrade.';
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo cannot retrieve upgrade file from server';
+$lang['Last import'] = 'Last import';
+$lang['With no album'] = 'With no album';
+$lang['With no tag'] = 'With no tag';
+$lang['With no virtual album'] = 'With no virtual album';
+$lang['Predefined filter'] = 'Predefined filter';
+$lang['Add tags'] = 'Add tags';
+$lang['Add to caddie'] = "Add to caddie";
+
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 12455)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 12456)
@@ -595,5 +595,4 @@
 $lang['Cannot delete the old permalink !'] = "Impossible de supprimer cet ancien lien permanent !";
 $lang['Hit'] = "score";
-
 $lang['Tools'] = "Outils";
 $lang['Photos'] = "Photos";
@@ -605,5 +604,4 @@
 $lang['Set as default theme for unregistered and new users'] = "Thème par défaut pour les invités et les nouveaux utilisateurs";
 $lang['unknown'] = 'inconnu';
-
 $lang['Upload Photos'] = 'Ajoutez des photos';
 $lang['Drop into album'] = 'Choisir un album';
@@ -624,5 +622,4 @@
 $lang['Who can see these photos?'] = 'Qui peut voir ces photos ?';
 $lang['Who can see this photo?'] = 'Qui peut voir cette photo ?';
-
 $lang['The websize maximum width must be a number between %d and %d'] = 'La largeur maximum pour la photo taille web doit être un chiffre compris entre %d et %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'La hauteur maximum pour la photo taille web doit être un chiffre compris entre %d et %d';
@@ -631,5 +628,4 @@
 $lang['The thumbnail maximum height must be a number between %d and %d'] = 'La hauteur maximum pour la miniature doit être un chiffre compris entre %d et %d';
 $lang['The thumbnail image quality must be a number between %d and %d'] = 'La qualité d\'image pour la miniature doit être un chiffre compris entre %d et %d';
-
 $lang['Settings'] = 'Configuration';
 $lang['Web size photo'] = 'Photo taille web';
@@ -642,5 +638,4 @@
 $lang['Save Settings'] = 'Enregistrer les paramètres';
 $lang['Your configuration settings are saved'] = 'Vos paramètres de configurations sont enregistrés';
-
 $lang['Active Themes'] = 'Thèmes activés';
 $lang['Add write access to the "%s" directory'] = 'Ajoutez l\'accès en écriture pour le répertoire "%s"';
@@ -666,5 +661,4 @@
 $lang['Visit Gallery'] = 'Visiter la galerie';
 $lang['Visit Piwigo project website'] = 'Visiter le site web du projet Piwigo';
-
 $lang['Guest Settings'] = 'Paramètres invité';
 $lang['Main Page'] = 'Page principale';
@@ -675,6 +669,4 @@
 $lang['Activate field "%s"'] = 'Activer le champ "%s"';
 $lang['Photo Properties'] = 'Propriétés de la photo';
-
-
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader signifie <em>Piwigo Uploader</em>. Depuis votre ordinateur, pLoader prépare vos photos et les transfère vers votre galerie photo Piwigo.';
 $lang['Languages'] = 'Langues';
@@ -734,10 +726,8 @@
 $lang['manual order'] = 'ordre manuel';
 $lang['Albums automatically sorted'] = 'Les albums ont été triés automatiquement';
-
 $lang['Keep high definition'] = 'Conserver la haute définition';
 $lang['The high definition maximum width must be a number between %d and %d'] = 'La largeur maximum pour la haute définition doit être un chiffre compris entre %d et %d';
 $lang['The high definition maximum height must be a number between %d and %d'] = 'La hauteur maximum pour la haute définition doit être un chiffre compris entre %d et %d';
 $lang['The high definition image quality must be a number between %d and %d'] = 'La qualité d\'image pour la haute définition doit être un chiffre compris entre %d et %d';
-
 $lang['Batch Manager'] = 'Gestion par lot';
 $lang['include child albums'] = 'inclure les sous-albums';
@@ -801,5 +791,4 @@
 $lang['%s photos have been regenerated'] = '%s photos ont été régénérées';
 $lang['%s photos can not be regenerated'] = '%s photos ne peuvent pas être régénérées';
-
 $lang['Updates'] = 'Mises à jour';
 $lang['Update in progress... Please wait.'] = 'Mise à jour en cours... Veuillez patienter.';
@@ -875,3 +864,11 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Impossible d\'extraire les fichiers. Veuillez vérifier les permissions des fichiers de votre installation.<br><a href="%s">Cliquez ici pour voir le rapport d\'erreur</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo ne peut pas récupérer le fichier de mise à jour depuis le serveur';
+$lang['Last import'] = 'Dernier import';
+$lang['With no album'] = 'Sans album';
+$lang['With no tag'] = 'Sans tag';
+$lang['With no virtual album'] = 'Sans album virtuel';
+$lang['Predefined filter'] = 'Filtre prédéfini';
+$lang['Add tags'] = "Ajouter les tags";
+$lang['Synchronize metadata'] = "Synchroniser les méta-données";
+$lang['Add to caddie'] = 'Ajouter au panier';
 ?>