Index: trunk/language/km_KH/common.lang.php
===================================================================
--- trunk/language/km_KH/common.lang.php	(revision 12454)
+++ trunk/language/km_KH/common.lang.php	(revision 12457)
@@ -209,4 +209,48 @@
 $lang['Logout'] = 'ចាក​ចេញ​';
 $lang['Since'] = 'តាំងពី';
+$lang['E-mail address'] = 'អាស័យ​ដ្ឋាន​អេ​ឡិច​ត្រូ​និច​';
+$lang['obligatory'] = 'ដែល​ចាំ​បាច់​';
+$lang['Maximum photo height'] = 'កំពស់​វែង​បំផុត​នៃរូប​ថត​';
+$lang['Maximum height must be a number superior to 50'] = 'កំពស់​វែង​បំ​ផុត​ត្រូវ​តែ​ជា​លេខ​ដែល​មាន​តំលៃ​ធំ​ជាង​ ៥០';
+$lang['Maximum photo width'] = 'ទទឹង​វែង​បំ​ផុត​នៃ​រូប​ថត​';
+$lang['Maximum width must be a number superior to 50'] = 'ទទឹង​វែង​បំផុត​ត្រូវ​តែ​ជា​លេខ​មាន​តំលៃធំជាង​ ៥០';
+$lang['display a calendar by creation date'] = 'បង្ហាញ​ប្រតិទិន​​​ដោយ​ពិនិត្យ​តាម​ថ្ងៃ​បង្កើត​';
+$lang['display all photos in all sub-albums'] = 'បង្ហាញ​រូប​ថត​ទាំង​អស់​ដែល​មាន​នៅ​ក្នុង​សៀវ​ភៅ​រូប​ថត​រងទាំង​ឡាយ';
+$lang['return to normal view mode'] = 'ត្រឡប់​ទៅ​ការ​បង្ហាញ​បែប​សាមញ្ញ​';
+$lang['display a calendar by posted date'] = 'បង្ហាញ​ប្រតិទិន​ដោយ​ពិនិត្យ​តាម​ថ្ងៃ​ដែល​បាន​ប្រ​កាស​';
+$lang['Most visited'] = 'ទស្សនា​ច្រើន​ជាង​គេ​បំផុត​';
+$lang['display most visited photos'] = 'បង្ហាញ​រូប​ដែល​បាន​ទស្សនា​ច្រើ​ន​ជាង​គេ';
+$lang['The number of photos per page must be a not null scalar'] = 'ចំនួន​នៃ​រូប​ថត​ក្នុង​មួយ​ទំព័រ​ត្រូវ​តែ​ជា​ចំនួន​គត់​មិន​សូន្យ​';
+$lang['Number of photos per page'] = 'ចំនួន​រូប​ថត​ក្នុង​មួយ​ទំព័រ';
+$lang['Unknown identifier'] = 'មិន​ស្គាល់​អត្ត​សញ្ញាណ​';
+$lang['New password'] = 'អក្សរ​សម្ងាត់​ថ្មី​';
+$lang['Rate this photo'] = 'វាយ​តម្លៃ​រូប​ថត​នេះ​';
+$lang['Next'] = 'បន្ទាប់​';
+$lang['no rate'] = 'មិន​មាន​ការ​វាយ​តម្លៃ​';
+$lang['Photos posted within the last %d day.'] = 'រូប​ថត​ដែល​បាន​ដាក់​នៅ​រយះ​ពេល​ %d ថ្ងៃ​ប៉ុណ្ណោះ';
+$lang['Photos posted within the last %d days.'] = 'រូប​ថត​ដែល​បាន​ដាក់​នៅ​រយះ​ពេល​ %d ថ្ងៃ​ប៉ុណ្ណោះ';
+$lang['password updated'] = 'អក្សរ​សម្ងាត់​បាន​កែ​ប្រែ​';
+$lang['Recent period must be a positive integer value'] = 'ចន្លោះពេល​ថ្មីៗ​ត្រូវ​តែ​ជា​ចំនួន​គត់​វិជ្ជមាន​';
+$lang['photo'] = 'រូប​ថត​';
+$lang['Click on the photo to see it in high definition'] = 'ចុច​លើ​រូប​ថត​ដើម្បី​មើល​វា​ក្នុង​កំរិត​កាន់​តែ​ច្បាស់​';
+$lang['Show file metadata'] = 'បង្ហាញ​ឯកសារ​ metadata';
+$lang['Powered by'] = 'ដាក់​ឲ្យ​ប្រើ​ប្រាស់​ដោយ​';
+$lang['Preferences'] = 'ចូល​ចិត្ត​ជាង​';
+$lang['Previous'] = 'មុន​';
+$lang['Random photos'] = 'រូប​ភាព​ចៃ​ដន្យ​';
+$lang['display a set of random photos'] = 'បង្ហាញ​សំណុំ​នៃ​រូប​ភាព​ចៃ​ដន្យ​';
+$lang['Recent albums'] = 'សៀវភៅ​រូប​ថត​ថ្មី​ៗ';
+$lang['display recently updated albums'] = 'បង្ហាញ​សៀវ​ភៅ​រូប​ថត​ទើប​កែ​ប្រែ​ថ្មី​ៗ';
+$lang['Recent period'] = 'រយះ​ពេល​ថ្មីៗ';
+$lang['Recent photos'] = 'រូប​ថត​ថ្មីៗ';
+$lang['display most recent photos'] = 'បង្ហាញ​រូប​ថត​ថ្មីៗ​បំផុត​';
+$lang['Redirection...'] = 'កំពុង​ភ្ជាប់​ទៅ​...';
+$lang['Please, enter a login'] = 'សូម​ភ្ជាប់​ចូល​ក្នុង​ប្រព័ន្ធ​';
+$lang['login mustn\'t end with a space character'] = 'ការ​ភ្ជាប់​ចូល​ត្រូវ​តែ ​មិន​បញ្ចប់​ដោយ​មានដក​ឃ្លា​នៅ​ខាង​ក្រោយ​ទេ​';
+$lang['login mustn\'t start with a space character'] = 'ការ​ភ្ជាប់​ចូល​ត្រូវ​តែ​ មិន​ចាប់​ផ្តើម​ជាមួយ​ដក​ឃ្លា​';
+$lang['this login is already used'] = 'ការ​ភ្ជាប់​ចូល​ជាមួយ​ឈ្មោះ​នេះ​ បាន​ប្រើ​ប្រាស់​រួច​ហើយ';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'អាស័យដ្ឋាន​សារ​អេឡិច​ត្រូនិច​ត្រូវ​តែ​ក្នុង​ទំ​រង់​ xxx@yyy.eee (example : jack@altern.org)';
+$lang['please enter your password again'] = 'សូម​បញ្ចូល​អក្សរ​សម្ងាត់​របស់​អ្នក​ម្តង​ទៀត​';
+$lang['Auto login'] = 'ភ្ជាប់​ចូល​ដោយ​ស្វ័យ​ប្រវត្តិ';
 
 