Index: trunk/admin/themes/default/template/batch_manager_global.tpl
===================================================================
--- trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 12470)
+++ trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 12474)
@@ -1,4 +1,5 @@
 {include file='include/tag_selection.inc.tpl'}
 {include file='include/datepicker.inc.tpl'}
+{include file='include/colorbox.inc.tpl'}
 
 {footer_script}{literal}
@@ -12,4 +13,6 @@
 {footer_script require='jquery.tokeninput'}
 jQuery(document).ready(function() {ldelim}
+  jQuery("a.preview-box").colorbox();
+  
 	var tag_src = [{foreach from=$tags item=tag name=tags}{ldelim}name:"{$tag.name|@escape:'javascript'}",id:"{$tag.id}"{rdelim}{if !$smarty.foreach.tags.last},{/if}{/foreach}];
   jQuery("#tags").tokenInput(
@@ -549,20 +552,23 @@
         {/if}
 
-      <li><span class="wrap1">
+      <li>
+        <span class="wrap1">
           <label>
             <span class="wrap2{if $isSelected} thumbSelected{/if}">
-        {if $thumbnail.LEVEL > 0}
-        <em class="levelIndicatorB">{$pwg->l10n($pwg->sprintf('Level %d',$thumbnail.LEVEL))}</em>
-        <em class="levelIndicatorF" title="{'Who can see these photos?'|@translate} : ">{$pwg->l10n($pwg->sprintf('Level %d',$thumbnail.LEVEL))}</em>
-        {/if}
-            <span>
-              <img src="{$thumbnail.TN_SRC}"
-                 alt="{$thumbnail.FILE}"
-                 title="{$thumbnail.TITLE|@escape:'html'}"
-                 class="thumbnail">
-            </span></span>
+            <div class="actions"><a href="{$thumbnail.FILE_SRC}" class="preview-box">{'Zoom'|@translate}</a> | <a href="{$thumbnail.U_EDIT}" target="_blank">{'Edit'|@translate}</a></div>
+              {if $thumbnail.LEVEL > 0}
+              <em class="levelIndicatorB">{$pwg->l10n($pwg->sprintf('Level %d',$thumbnail.LEVEL))}</em>
+              <em class="levelIndicatorF" title="{'Who can see these photos?'|@translate} : ">{$pwg->l10n($pwg->sprintf('Level %d',$thumbnail.LEVEL))}</em>
+              {/if}
+              <span>
+                <img src="{$thumbnail.TN_SRC}"
+                   alt="{$thumbnail.FILE}"
+                   title="{$thumbnail.TITLE|@escape:'html'}"
+                   class="thumbnail">
+              </span>
+            </span>
             <input type="checkbox" name="selection[]" value="{$thumbnail.ID}" {if $isSelected}checked="checked"{/if}>
           </label>
-          </span>
+        </span>
       </li>
       {/foreach}
Index: trunk/admin/themes/default/theme.css
===================================================================
--- trunk/admin/themes/default/theme.css	(revision 12470)
+++ trunk/admin/themes/default/theme.css	(revision 12474)
@@ -1026,15 +1026,18 @@
 #batchManagerGlobal ul.thumbnails span.wrap2 {border:0}
 #batchManagerGlobal ul.thumbnails span.wrap2:hover {background-color:#7CBA0F;}
+#batchManagerGlobal ul.thumbnails div.actions {display:none;position:absolute;top:0;right:5px;}
+#batchManagerGlobal ul.thumbnails div.actions a {color:#222;}
+#batchManagerGlobal ul.thumbnails span.wrap1:hover div.actions {display:block;}
 #batchManagerGlobal #selectedMessage {padding:5px; -moz-border-radius:5px;-webkit-border-radius:5px;}
-#batchManagerGlobal #selectSet a {border-bottom:1px dotted}
+#batchManagerGlobal #selectSet a {border-bottom:1px dotted;}
 #batchManagerGlobal #applyOnDetails {font-style:italic;}
 #batchManagerGlobal .actionButtons {text-align:left;}
 #batchManagerGlobal #filterList {padding-left:5px;}
 #batchManagerGlobal #filterList li {margin-bottom:5px; list-style-type:none;}
-#batchManagerGlobal a.removeFilter {background: url(icon/remove_filter.png) no-repeat top left;width:7px;height:7px;display:inline-block}
+#batchManagerGlobal a.removeFilter {background: url(icon/remove_filter.png) no-repeat top left;width:7px;height:7px;display:inline-block;}
 #batchManagerGlobal a.removeFilter:hover {background: url(icon/remove_filter_hover.png); border:none;}
 #batchManagerGlobal .removeFilter span {display:none}
 #batchManagerGlobal #applyFilterBlock {margin-top:20px;}
-#batchManagerGlobal .useFilterCheckbox {display:none}
+#batchManagerGlobal .useFilterCheckbox {display:none;}
 
 