Index: trunk/language/bg_BG/admin.lang.php
===================================================================
--- trunk/language/bg_BG/admin.lang.php	(revision 12477)
+++ trunk/language/bg_BG/admin.lang.php	(revision 12478)
@@ -32,4 +32,5 @@
 $lang['Rate'] = 'Оценка';
 $lang['Average rate'] = 'Средна оценка';
+$lang['Zoom'] = 'Увеличи';
 
 ?>
Index: trunk/language/cs_CZ/admin.lang.php
===================================================================
--- trunk/language/cs_CZ/admin.lang.php	(revision 12477)
+++ trunk/language/cs_CZ/admin.lang.php	(revision 12478)
@@ -868,3 +868,5 @@
 $lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Jako výchozí, Piwigo vytvoří nový rozměr(upraví rozlišení) vašich nahrávaných fotografií v HD rozlišení.';
 $lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Pokud nemáte obrázek v HD rozlišení a pokud stávající webové rozlišení je větší než nastavené rozsahy dimenzí obrázku, Piwigo fotku vezme jako HD a vytvoří zmenšenou verzi obrázku pro web z originálu.';
+$lang['Zoom'] = 'Přiblížit';
+
 ?>
Index: trunk/language/de_DE/admin.lang.php
===================================================================
--- trunk/language/de_DE/admin.lang.php	(revision 12477)
+++ trunk/language/de_DE/admin.lang.php	(revision 12478)
@@ -843,3 +843,5 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Ein Fehler trat während des Entpackens auf. Bitte prüfen Sie die Schreibrechte ihrer Piwigo Installation.<br><a href="%s">Klicken Sie hier für das Fehlerprotokoll</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo kann die Aktualisierungsdatei nicht vom Server laden';
+$lang['Zoom'] = 'Zoom';
+
 ?>
Index: trunk/language/en_UK/admin.lang.php
===================================================================
--- trunk/language/en_UK/admin.lang.php	(revision 12477)
+++ trunk/language/en_UK/admin.lang.php	(revision 12478)
@@ -249,4 +249,5 @@
 $lang['Drop into album'] = 'Select an album';
 $lang['duplicates'] = 'duplicates';
+$lang['Edit'] = 'Edit';
 $lang['Edit album permissions'] = "Edit album permissions";
 $lang['edit album permissions'] = "edit album permissions";
@@ -771,4 +772,5 @@
 $lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = "You should upgrade your system to take full advantage of the application, otherwise the application could work improperly, or not at all";
 $lang['Your configuration settings are saved'] = 'Your configuration settings are saved';
+$lang['Zoom'] = 'Zoom';
 $lang['[%s] Visit album %s'] = "[%s] Visit album %s";
 $lang['[NBM] Problems or questions'] = "[NBM] Problems or questions";
Index: trunk/language/es_ES/admin.lang.php
===================================================================
--- trunk/language/es_ES/admin.lang.php	(revision 12477)
+++ trunk/language/es_ES/admin.lang.php	(revision 12478)
@@ -862,3 +862,5 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Imposible extraer los ficheros. Por favor, verifique los permisos de los ficheros de su instalación. <Br> <a href="%s"> Haga clic aquí para ver el informe de error</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo no puede recuperar el fichero de actualización desde el servidor';
+$lang['Zoom'] = 'Zoom';
+
 ?>
Index: trunk/language/fr_FR/admin.lang.php
===================================================================
--- trunk/language/fr_FR/admin.lang.php	(revision 12477)
+++ trunk/language/fr_FR/admin.lang.php	(revision 12478)
@@ -866,3 +866,5 @@
 $lang['Synchronize metadata'] = "Synchroniser les méta-données";
 $lang['Add to caddie'] = 'Ajouter au panier';
+$lang['Edit'] = 'Editer';
+$lang['Zoom'] = 'Zoom';
 ?>
Index: trunk/language/hu_HU/admin.lang.php
===================================================================
--- trunk/language/hu_HU/admin.lang.php	(revision 12477)
+++ trunk/language/hu_HU/admin.lang.php	(revision 12478)
@@ -866,3 +866,5 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Hibajelentés (Információ). Kérjük ellenőrizze a telepített fájlok jogosultságait.<br><a href="%s">További információkért kattintson ide</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Nem tudom letölteni a frissítést a Piwigo fájl szerverről';
+$lang['Zoom'] = 'Zoom';
+
 ?>
Index: trunk/language/it_IT/admin.lang.php
===================================================================
--- trunk/language/it_IT/admin.lang.php	(revision 12477)
+++ trunk/language/it_IT/admin.lang.php	(revision 12478)
@@ -875,3 +875,5 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Non è stato possibile estrarre i file. Verificare i permessi dei file della vostra installazione.<br><a href="%s">Cliccare qui per visualizzare il rapporto d\'errore</a>';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo non può recuperare i file d\'aggiornamento dal server';
+$lang['Zoom'] = 'Zoom';
+
 ?>
Index: trunk/language/lv_LV/admin.lang.php
===================================================================
--- trunk/language/lv_LV/admin.lang.php	(revision 12477)
+++ trunk/language/lv_LV/admin.lang.php	(revision 12478)
@@ -857,3 +857,5 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Atpakošanas laikā notikusi kļūme. Pārbaudiet Jūsu piwigo instalācijas failu atļaujas.<br><a href="%s">Spiest te, lai redzētu log kļūdas</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo nevar ielādēt jauninājuma failu no servera';
+$lang['Zoom'] = 'Tālummaiņa';
+
 ?>
Index: trunk/language/nl_NL/admin.lang.php
===================================================================
--- trunk/language/nl_NL/admin.lang.php	(revision 12477)
+++ trunk/language/nl_NL/admin.lang.php	(revision 12478)
@@ -866,3 +866,5 @@
 $lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Standaard zal Piwigo een nieuwe web formaat foto aanmaken van de HD (high definition) versie van je foto.';
 $lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Als geen HD beschikbaar is en de huidige web formaat foto is groter dan de nieuwe afmetingen, dan zal Piwigo het als HD gebruiken en daar een web formaat foto van maken.';
+$lang['Zoom'] = 'Zoom';
+
 ?>
Index: trunk/language/no_NO/admin.lang.php
===================================================================
--- trunk/language/no_NO/admin.lang.php	(revision 12477)
+++ trunk/language/no_NO/admin.lang.php	(revision 12478)
@@ -792,4 +792,5 @@
 $lang['Width'] = 'Bredde';
 $lang['display'] = 'Vis';
+$lang['Zoom'] = 'Zoom';
 
 ?>
Index: trunk/language/pl_PL/admin.lang.php
===================================================================
--- trunk/language/pl_PL/admin.lang.php	(revision 12477)
+++ trunk/language/pl_PL/admin.lang.php	(revision 12478)
@@ -865,3 +865,5 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Wystąpił błąd podczas rozpokowywania. Sprawdź uprawnienia do plików w katalogu gdize jest zainstalowane piwigo.<br><a href="%s">Kliknij aby zobaczyć błędy</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo nie może ściągnąć pliku aktualizacji z serwera';
+$lang['Zoom'] = 'Powiększenie';
+
 ?>
Index: trunk/language/ru_RU/admin.lang.php
===================================================================
--- trunk/language/ru_RU/admin.lang.php	(revision 12477)
+++ trunk/language/ru_RU/admin.lang.php	(revision 12478)
@@ -862,3 +862,5 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Во время распаковки произошла ошибка. Пожалуйста, проверьте права доступа к папке установки piwigo.<br><a href="%s">Нажмите, чтобы посмотреть лог ошибки</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo не может получить файлы обновления с сервера';
+$lang['Zoom'] = 'увеличение';
+
 ?>
Index: trunk/language/sk_SK/admin.lang.php
===================================================================
--- trunk/language/sk_SK/admin.lang.php	(revision 12477)
+++ trunk/language/sk_SK/admin.lang.php	(revision 12478)
@@ -867,3 +867,5 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Pri rozbaľovaní sa vyskytla chyba. Prosím skontrolujte prístupové práva súborov Vašej inštalácie piwigo.<br><a href="%s">Kliknite sem na zobrazenie logu chyby</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo nemôže získať upgradovací súbor zo servra';
+$lang['Zoom'] = 'Zväčšenie'; 
+
 ?>
Index: trunk/language/sv_SE/admin.lang.php
===================================================================
--- trunk/language/sv_SE/admin.lang.php	(revision 12477)
+++ trunk/language/sv_SE/admin.lang.php	(revision 12478)
@@ -863,3 +863,5 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Ett fel uppstod vid dekomprimeringen. Kontrollera rättigheterna på din Piwigo-installation och försök igen.<br><a href="%s">Klicka här för att visa felloggen</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo kan inte hämta uppgraderingen från servern';
+$lang['Zoom'] = 'förstora';
+
 ?>
Index: trunk/language/tr_TR/admin.lang.php
===================================================================
--- trunk/language/tr_TR/admin.lang.php	(revision 12477)
+++ trunk/language/tr_TR/admin.lang.php	(revision 12478)
@@ -834,3 +834,5 @@
 $lang['show details'] = 'ayrıntıları göster';
 $lang['Start Upload'] = 'Yüklemeye başla';
+$lang['Zoom'] = 'Yakınlaştırma';
+
 ?>
Index: trunk/language/vi_VN/admin.lang.php
===================================================================
--- trunk/language/vi_VN/admin.lang.php	(revision 12477)
+++ trunk/language/vi_VN/admin.lang.php	(revision 12478)
@@ -864,4 +864,5 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Có một lỗi xuất hiện trong quá trình trích xuất tệp tin. Vui lòng kiểm tra quyền hiệu chỉnh tệp tin gói cài đặt Piwigo của bạn.<br><a href="%s">Click vào đây để xem lỗi.</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo không thể nhận được tệp tin nâng cấp từ  máy chủ';
+$lang['Zoom'] = 'Phóng to ảnh';
 
 ?>